﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Chart;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        ChartControl chart = new ChartControl();
        
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.chart.ChartRegionClick +=chart_ChartRegionClick;
       
            ChartSeries series = new ChartSeries("series1", ChartSeriesType.Bar);
            series.Points.Add(1,10);
            series.Points.Add(2,20);
            series.Points.Add(3, 30);
            series.Points.Add(4, 40);
            series.Points.Add(5, 50);
            series.Points.Add(6, 60);
            series.Points.Add(7, 70);
            this.chart.Series.Add(series);
            this.Controls.Add(chart);
        }

        void chart_ChartRegionClick(object sender, ChartRegionMouseEventArgs e)
        {

           var axis = this.chart.Axes;
           int x =e.Point.X;
           int y = e.Point.Y;
          for (int i = 0; i < axis.Count; i++)
            {
                if (x >= axis[i].Rect.X && x <= axis[i].Rect.X + axis[i].Rect.Width && y >= axis[i].Rect.Y && y <= axis[i].Rect.Y + axis[i].Rect.Height)
                {
                    MessageBox.Show("Axis Index: " + i); 
                }
            }
        }
    }
}
